# Note that this is NOT a relocatable package
%define version	0.16.3

Summary: The Enlightenment window manager.
Name: enlightenment
Version: %{version}
Release: 11mdk
Copyright: GPL
Group: Graphical desktop/Enlightenment
Source: ftp://www.rasterman.com/pub/enlightenment/enlightenment-%{version}.tar.bz2
Source1: control-0.4.cfg.bz2
Source2: menus-0.5.cfg.bz2
Source3: keybindings-0.4.cfg.bz2
Source4: linux-mandrake-0.1.cfg.bz2
Source5: enlightenment-menu.method.bz2
Source100: Linux-Mandrake.etheme.bz2
Source101: GTK+_For_Enlightenment.etheme
Source200: e.menuicons.tar.bz2
Patch0: E.menukey.patch.bz2
Requires: imlib >= 1.9, fnlib >= 0.4, freetype >= 1.3 
Requires: esound >= 0.2.14, ImageMagick >= 4.2.9
BuildPreReq: imlib-devel, fnlib-devel, freetype-devel, esound-devel
URL: http://www.enlightenment.org/
BuildRoot: %{_tmppath}/e-%{version}-root
Prefix: %{_prefix}

%description
Enlightenment is a window manager for the X Window System that is designed to
be powerful, extensible, configurable and pretty darned good looking! It is one
of the more graphically intense window managers.

Enlightenment goes beyond managing windows by providing a useful and appealing
graphical shell from which to work. It is open in design and instead of
dictating a policy, allows the user to define their own policy, down to every
last detail.

This package will install the Enlightenment window manager.

%prep
%setup -q
%patch0 -p1

# XXX fix up freetype includes
perl -p -i -e 's/include <freetype\.h>/include <freetype\/freetype\.h>/g' \
	dox/dox.h src/E.h

%build
export EROOT=%{prefix}/share/enlightenment
export EBIN=%{prefix}/bin

%configure --enable-fsstd

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi

%install
rm -rf $RPM_BUILD_ROOT
export EROOT=$RPM_BUILD_ROOT%{prefix}/share/enlightenment
export EBIN=$RPM_BUILD_ROOT%{prefix}/bin
make prefix=$RPM_BUILD_ROOT%{prefix} install

# XXX tmp fix for enlightenment.install
perl -p -i -e 's/EBIN=\${exec_prefix}\/bin/EBIN=\/usr\/bin/' $RPM_BUILD_ROOT/usr/bin/enlightenment.install

###
## Linux-mandrake themes, configs, and other such..

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/enlightenment/config/
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{prefix}/share/enlightenment/config/control.cfg

# menu support
e=enlightenment
r=$RPM_BUILD_ROOT
perl -lwne '/^__E_CFG_VERSION 0$/ and print("$_\n\n", qw@BEGIN_NEW_FILE_MENU("MANDRAKE_MENU", "ROOT", "/etc/X11/enlightenment/menus/mandrake.menu")@, "\nEND_MENU") or /^ADD_MENU_SUBMENU_TEXT_ITEM.*APPS_SUBMENU/ and print("$_\n", qw@ADD_MENU_SUBMENU_TEXT_ITEM("Mandrake Menu",        "MANDRAKE_MENU")@) or print;' src/themes/configs/menus.cfg > $r/usr/share/$e/config/menus.cfg

mkdir -p $r/etc/X11/enlightenment/menus
mkdir -p $r/etc/menu-methods/
mkdir -p $r/usr/lib/menu/
bzcat %{SOURCE5} > $r/etc/menu-methods/%{name}
chmod a+x $r/etc/menu-methods/%{name}
cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/%{name}
?package(enlightenment): \
  needs=wm\
  section=Session/Windowmanagers\
  title=Enlightenment\
  command=enlightenment
EOF

#	install -c -m 664 %{SOURCE3} $RPM_BUILD_ROOT%{prefix}/share/enlightenment/config/keybindings.cfg
#	install -c -m 664 %{SOURCE4} $RPM_BUILD_ROOT%{prefix}/share/enlightenment/config/linux-mandrake.cfg

#  Linux-Mandrake Menus
#	install -c -m 664 %{SOURCE2} $RPM_BUILD_ROOT%{prefix}/share/enlightenment/config/menus.cfg
#       pushd $RPM_BUILD_ROOT/usr/share/enlightenment
#       bzcat %{SOURCE200}|tar xv
#	popd

#  Remove themes
pushd $RPM_BUILD_ROOT/usr/share/enlightenment/themes
rm -rf DEFAULT BrushedMetal-Tigert ShinyMetal
ln -sf BlueSteel DEFAULT
popd

%post
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus 
fi
[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true

%postun
if [ "$1" = 0 -a -x /usr/bin/update-menus ];then
		/usr/bin/update-menus 
fi
[ -x /usr/sbin/fndSession ] && /usr/sbin/fndSession || true

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
%config %attr(755,root,root) /etc/menu-methods/%{name}
/usr/lib/menu/%{name}
%{prefix}/share/enlightenment/*
%{prefix}/bin/*
%dir /etc/X11/enlightenment/menus

%changelog
* Thu May 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.16.3-11mdk
- fixed group

* Fri Apr 28 2000 dam's <damine@mandrakesoft.com> 0.16.3-10mdk
- added fndSession call.

* Mon Apr 10 2000 DindinX <odin@mandrakesoft.com> 0.16.3-9mdk
- Menu key support
- specs cleanup

* Tue Apr  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.16.3-8mdk
- fix menu method and added i18n support.
- moved /etc/enlightenment to /etc/X11/enlightenment

* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16.3-7mdk
- Adjust groups.
- I need a new job my god, fix another error (chmod +x the
  menu-method).

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16.3-6mdk
- Ok this time fix all rpmlint warning and reuploading.

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.16.3-5mdk
- Add menu support.

* Mon Dec 27 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add requires ImageMagick >= 4.2.9 (for e_menu*, and yes i know)
- add esound-devel to BuildPreReq
- Default theme BlueSteel
- re-move BrushedMetal-Tigert, and ShinyMetal (running out of space, they're in ethemes)
- Remove all but the last @redhat.com entry in the rpm changelog (4 pages of it, and my pages aren't small)
- some other general clean-ups of the .spce file

* Thu Dec 16 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- fix enlightenment.install

* Mon Nov 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.16.3
- export EBIN, and EROOT
- (and perl patch the stupid enlightenment.install, till they fix autoconf)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build macro
- 0.16.1 :
	- use e_gen menus (i'll hack these for Mandrake once they quit changeing it)
	- No more Linux-Mandrake etheme (I no longer have time to maintain it)
	- Keybindings/Theme per default
- Probably something else I am forgetting :/

* Wed Sep 22 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Add BuildPreReq (before i forget again)
- 0.16.devel.9 : 
	- lots of fixes
	- lots of kde work
	- New theme, Ganymede

- keybindings.cfg :
	- Apparently we weren't gnome compliant
	- Button 3 (rightmouse) reserved for gmc
	- E config menu on 'alt button 2'
	- E main menu on button 2 and alt button 3

* Sun Sep 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.16.devel.6 : fixes 129% load, drop apps between pagers, and others 

* Tue Aug 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redid Linux-Mandrake theme to meet new eTheme guidelines. (Standarization is a good thing)
- Latest CVS :
	* Fixes Segfault when paramlist to long for "Remeeber state" (Long standing bug. Yay!)
	* More KDE support

* Tue Aug 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update snapshot 0.16.devel.5 : kfm runs without -no-KDE-compliant-window-manager
 	(Mad props to the E coders thanks)
- menus.cfg :
	* Check for communicator, if not there don't show netscape mail in quick apps
	* Xmms in quick apps
	* Gmc and Kfm in quick apps
	* Kde/menus add "Restart with KDE"
	* Gnome/menus add "Restart with GNOME"
	* Enlightenment/menus add MagicBG under desktop with the other Special effects


* Mon Aug 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update snapshot 0.16.devel.4
- Add Linux-Mandrake etheme
- Add GTK+ For Enlightenment Theme, its clean it's fast it's what i based the mdk theme on
- keybindings.cfg :
	* Main menu on right desktop click

- control.cfg :
	* include linux-mandrake.cfg

- linux-mandrake.cfg :
	* defines icons used in menus

- menus.cfg :
	* Mandrakesoft menu
	* KDE menu
	* Moved Enlightenment items to seperate menus

* Thu Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>

- Update cvs snapshot, (signifigant changes finally)
- use "correct macro" for bzip2 manpages
- versionate mdk configs to make modifying easier
- Set theme to Brushed metal (It talks what more could you ask for)

- menus.cfg :
	* Add Gatos xatitv/xatitvfb to apps
	* Add Kmail (TODO: add a full KDE submenu)
	* Backgrounds, add System and User sections
	* Add Raindrops and Waves special effects
	* Add Config submenu (0.16 feature)

- keybindings.cfg :
	* Disabled allow any modifier so as to not any muck-up custom bindings
	* alt-left = Other apps (TODO: seperate main menu into more subs it's going to get clutered)
	* alt-right = Settings menu
	* alt-middle/double = Main menu (Pastes are easier this way)


* Thu Jun 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Updated to the 0.16.devel.2 snapshot 

* Tue May 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove the irrating sky tooltips.

* Sat Apr 24 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adatations.
- Stripping again.

* Mon Apr 05 1999 Michael Fulbright <drmike@redhat.com>
- version 0.15.5 plus semisolid drag fix
- made CleanBig the default theme
